it-swarm-ja.com

NetBeans用のCygwinCおよびC ++コンパイラのインストールIDE 7.2

Cygwin、C、C++、およびNetBeans IDE 7.2。私のPCはMicrosoftWINDOWS 7OSを実行しています。

Cygwin C C++コンパイラのインストール方法に関するドキュメントを読みました。

http://netbeans.org/community/releases/72/cpp-setup-instructions.html#compilers

Cygwinの最新バージョンが含まれているCygwinsetup.exeを実行しようとしましたDLLは1.7.16-1です。

Cygwin setup.exeインストーラーがダウンロードしてインストールするパッケージの選択を求めたときに、どの正確なパッケージをインストールするかはよくわかりません。 NetBeans7.2を使用してCおよびC++プロジェクトを作成できるように、CygwinCおよびC++コンパイラをインストールしたい

Gcc、g ++、gdb、makeという名前のパッケージを選択しました。次に、選択したパッケージのインストールに進みます

インストールに時間がかかったので、45分くらいでやめました。

インストールフォルダを参照すると、選択したいくつかのパッケージがインストールされていることがわかりました。一部のパッケージが、tar.gz拡張子の付いたある種の「Zip」ファイルで提供されていることに気付きました。

windows7の環境変数ウィンドウのPATH変数にフォルダーパスを追加しました。

このコマンドは機能すると思います

C:> cygcheck -c cygwin

しかし、残りはうまくいかないと思います。

C:> gcc --version

C:> g ++ --version

C:> make --version

C:> gdb --version

Netbeans IDE 7.2を使用してCC++プロジェクトを作成しようとしましたが、IDEは、c c ++コンパイラが見つからなかったことを示すダイアログメッセージを表示します。

ここで間違いを犯したことがありますか?間違ったパッケージや何か他のものをインストールするような?

Cygwin setup.exeインストーラーに、NetBeansと互換性のある正確な名前と正確なバージョンを含むパッケージが表示されていますかIDE 7.2 ??これはよくわかりません。正確な名前とバージョンの必要なパッケージがいくつかあります。

私の質問は:Netbeans IDE 7.2?を使用してCおよびC++プロジェクトを作成できるように、Cygwin setup.exeインストーラーを使用してインストールする正確なパッケージはどれですか?完全に正常にインストールするには、選択した必要なパッケージがすべてインストールされるのを待つ必要がありますか?

必要なパッケージの正確な名前とバージョン(プロンプトが表示されたときにCYGWIN SETUP.EXEインストーラーに表示される名前とバージョン)を知りたいのですが、NETBEANSを使用したCおよびC++プログラミングに必要ですIDE 7.2? ?

3
user1294663

2012年8月21日の時点で、次のパッケージバージョンをインストールする必要があります。

  • cygwin1.dll 1.7.7、1.7.9Windows用のCygwinLinuxのような環境
  • gcc 4.3.4 CygwinCコンパイラ
  • g ++ 4.3.4 Cygwin C++コンパイラ
  • gdb 6.8 Cygwin GNUデバッガー
  • make 3.81 Cygwinmakeユーティリティ

IDE 7.2はこれらの上記のバージョンでのみテストされているため、コンパイラが同じバージョンでない場合は、おそらくエラーが発生します。

1
kamal9211